# BSS-Util: Scripts to download, sort and stitch Bing Streetside Imagery

To install required dependencies:
```
npm install
```

To use, first edit the `lat` and `lon` in `get_id.js` to be of the location of the desired Streetside image.
Then run
```
node get_id.js
```
This will — if it works — output a ten digit ID number.
Copy that ten digit ID into `id10` in `download.js`

Now, run
```
node download.js
```
This will download all the tiles for the streetside image. Into the `out` directory.
Along with the image tiles, a `tile_meta.json` will be saved for sorting.

To stitch those tiles into one cohesive cubemap
```
node stitch.js
```

This is not intended to be complete program used to download these images; it is not optimized for that purpose. Instead, this is intended as a set of rudimentary scripts that show the bones of the process of downloading and stitching tiles from a Bing Streetside image.

Use responsibly